/*#additional-content-modal-tab-content .tab-title .open-all {background: #fff;display: inline-block;margin: 0 0 0 auto;line-height: 1;position: relative;font-size: 19px;flex: 0 0 auto;font-weight: 300;padding: 0 5px;cursor: pointer;transition: all 0.3s;position: relative;}*/
/*#additional-content-modal-tab-content .tab-title .open-all.closed {transform: rotate(180deg);}*/

#additional-content-modal-tab-content .tab-title .open-all {display: inline-flex;margin: 0 0 0 auto;line-height: 1;position: relative;font-size: 19px;font-weight: 300;padding: 0;cursor: pointer;align-items: center;width: auto;background: none;}
#additional-content-modal-tab-content .tab-title .open-all i { background: var(--c-gray-lighter); width: 40px; height: 40px; line-height: 40px; border-radius: 50%; text-align: center; font-size: 16px; margin: 0 0 0 10px; }
#additional-content-modal-tab-content .tab-title .open-all i:hover {background:var(--c-main); color:#fff;}

@media (max-width: 767px) {
  #card-list-modal-body .subject-wrap {white-space: nowrap; overflow-y: scroll; /* overflow-x: visible; */ margin: 0 0 0 0; }
  #card-list-modal-body .subject-wrap .subjects {}
  .listing .item .actions {}
  .listing .item .actions > a {/* display: none !important; */}
  .listing .item .actions .status {margin: 0; white-space: normal; }
}


#card-modal-tab-content {}
#card-modal-tab-content .single-card {}
#card-modal-tab-content .single-card .top {}
#card-modal-tab-content .single-card .top .text {}
#card-modal-tab-content .single-card .top .text h1 {}
#card-modal-tab-content .single-card .top .text h1 .actions {}
#card-modal-tab-content .single-card .top .text h1 .share.favorites {}
#card-modal-tab-content .single-card .top .text h1 .share.favorites span {}
#card-modal-tab-content .single-card .top .text h1 .share.favorites span:hover {}
#card-modal-tab-content .single-card .top .text h1 .close {display:none;}
#card-modal-tab-content .single-card .block.expandable {margin: 0 -30px 15px;padding: 20px 30px;}

#quiz-modal-tab-content .top {position: sticky;top: 0;background: #fff;z-index: 100;padding: 20px 30px;margin: -20px -30px 0 -30px;border-radius: 20px;}
#quiz-modal-tab-content .top .text {position: sticky;top: 40px;}
#quiz-modal-tab-content .top .text h1 {margin: 0;font-size: 32px;font-weight: 400;}
#quiz-modal-tab-content .top .text .close {top: 0px !important;right: 0px !important;}
.modal .progress {margin-top: 0;}

@media (max-width: 991px) { 
    #card-modal-tab-content .single-card .top .text h1 .close {display: flex;justify-content: center;position: relative;width: 35px;height: 35px;line-height: 35px;font-size: 18px;top: auto;right: auto;margin: 0 0 0 auto;}
}

@media (max-width: 767px) { 
    .single-card .top, #quiz-modal-tab-content .top {margin: 0 -20px 0 -20px;padding: 20px;border-radius: 0;}
}

div.modal {z-index: 100002;}
div.modal .modal-dialog {}
div.modal .modal-dialog .modal-content {border: none;/* box-shadow: 0 0 15px rgba(0 0 0 / 10%); */border-radius: 20px;position: relative;}
div.modal .modal-dialog .modal-content .modal-header {padding: 0;border: none;z-index: 11;position: relative;}
div.modal .modal-dialog .modal-content .modal-header .text {padding: 30px 30px 0;width: 100%;}
div.modal .modal-dialog .modal-content .modal-header .text h1 {margin: 0; font-size: 32px; font-weight: 400; }
div.modal .modal-dialog .modal-content .close {position: absolute;opacity: 1;text-shadow: none;font-weight: 300;padding: 0;margin: 0;border: none;color: #000;background: none;right: -20px;top: -20px;width: auto;height: auto;font-size: 22px;line-height: 1;background: var(--c-gray);color: #fff;z-index: 100;width: 40px;height: 40px;border-radius: 50%;}
div.modal .modal-dialog .modal-content .close:hover {background:var(--c-main)}
div.modal .modal-dialog .modal-content .close i { line-height: 35px; }
div.modal .modal-dialog .modal-content .pause-exam {position: absolute;top: 0;right: 40px;width: 40px;height: 40px;color: #000;background: none;opacity: 1;text-shadow: none;font-weight: 300;font-size: 15px;line-height: 40px;padding: 0;margin: 0;border: none;}
div.modal .modal-dialog .modal-content .pause-exam i {}
div.modal .modal-dialog .modal-content .modal-body {min-height: 100px;padding: 40px;z-index: 9;box-shadow: 0 0 40px rgb(0 0 0 / 10%);}
div.modal .modal-dialog .modal-content .modal-footer {border: none;padding: 30px 40px 40px;border-top: solid 5px #e4e3ef;justify-content: center;}
div.modal .modal-dialog .modal-content .modal-footer .btn {margin: 0 9px;}

div.modal .modal-dialog .modal-content #card-read-state {font-size: 14px;font-weight: 400;margin: 0 0 10px 0;display: inline-block;min-height: 39.5px;display: inline-flex;align-items: center;}
div.modal .modal-dialog .modal-content #card-read-state::before {content:"\e900";font-family: icomoon;font-size: 26px;vertical-align: top;display: inline-block;margin: -2px  7px 0 0;}
div.modal .modal-dialog .modal-content #card-mark-unread {/* float: right; */}


#addImageModal {background: none; z-index: 100002; background: rgb(255,255,255, 0.9); }
#addImageModal .modal-dialog {max-width: 1400px; }
#addImageModal .modal-dialog .modal-content { box-shadow: 0 0 15px rgb(0 0 0 / 20%); }
#addImageModal .modal-dialog .modal-content .modal-body {padding: 0; overflow: hidden; }
#addImageModal .modal-dialog .modal-content .modal-body iframe {width:100%;vertical-align: top;}


#card-learn-modal {/* background: #f1f2f4; *//* pointer-events: none; */}
#card-learn-modal .modal-dialog {max-width: 1020px;width: 100%;padding: 0 30px;}
#card-learn-modal .modal-dialog .modal-content .modal-body {min-height: 520px;border-radius: 20px;padding: 0;}
#card-learn-modal .modal-dialog .modal-content .close {}


#zoom {max-height: 100%;overflow: hidden;padding: 20px !important;background: rgba(255,255,255,0.9);z-index: 100103;}
#zoom .modal-dialog {max-width: 1200px;height: calc(100vh - 40px);margin: auto;}
#zoom.modal-static .modal-dialog {transform: none !important;}
#zoom .modal-dialog .modal-content {background: none;box-shadow: none;height: 100%;}
#zoom .modal-dialog .modal-content .modal-header .btn-close {position: fixed;top: 20px;right: 20px;width: 40px;height: 40px;line-height: 40px;background: var(--c-gray);border: none;opacity: 1;box-shadow: none;text-shadow: none;z-index: 10;font-size: 22px;color: #fff;}
#zoom .modal-dialog .modal-content .modal-header .btn-close:hover {background:var(--c-main)}
#zoom .modal-dialog .modal-content .modal-header .btn-close i {font-weight: 300;}
#zoom .modal-dialog .modal-content .modal-body {background: none;padding: 0;box-shadow: none;display: flex;flex-direction: column;height: 100vh;justify-content: center;}
#zoom .modal-dialog .modal-content .modal-body .zoom-slider {}
#zoom .modal-dialog .modal-content .modal-body .zoom-slider .zoom-item {display:none}
#zoom .modal-dialog .modal-content .modal-body .zoom-slider .zoom-item.active {display:flex;flex-direction: column;justify-content: center;align-items: center;overflow: hidden;padding: 0;height: 100vh;}
#zoom .modal-dialog .modal-content .modal-body .zoom-slider .zoom-item .zoom-image {display: flex;/* flex: 1; */justify-content: center;align-items: center;overflow: hidden;padding: 15px;}
#zoom .modal-dialog .modal-content .modal-body .zoom-slider .zoom-item .zoom-image img {max-width: 100%;height: auto;max-height: 100%;object-fit: cover;border-radius: 20px;box-shadow: 0 0 20px rgb(0 0 0 / 15%);background: #fff;}
#zoom .modal-dialog .modal-content .modal-body .zoom-slider .zoom-item .zoom-image-caption {padding: 10px;font-size: 15px;color: var(--c-black);text-align: center;}
#zoom .modal-dialog .modal-content .modal-body .zoom-nav {cursor: pointer;}
#zoom .modal-dialog .modal-content .modal-body .zoom-nav .next {right: 16px;}
#zoom .modal-dialog .modal-content .modal-body .zoom-nav .prev {left: 16px;}
#zoom .modal-dialog .modal-content .modal-body .zoom-nav .next, #zoom .modal-dialog .modal-content .modal-body .zoom-nav .prev {position: fixed;top: 50%;font-size: 44px;width: 50px;height: 50px;line-height: 50px;text-align: center;border-radius: 50%;transition: transform  0.3s;transform: translateY(-50%) scale(1);}
#zoom .modal-dialog .modal-content .modal-body .zoom-nav .next:hover, #zoom .modal-dialog .modal-content .modal-body .zoom-nav .prev:hover {background: var(--c-main);color: #fff;font-size: 24px;transform: translateY(-50%) scale(1.2);}
#zoom .modal-dialog .modal-content .modal-body .zoom-nav .next i, #zoom .modal-dialog .modal-content .modal-body .zoom-nav .prev i  {font-weight:200}

@media (max-width: 767px) {
  #zoom .modal-dialog .modal-content .modal-body .zoom-slider .zoom-item .zoom-image-caption {font-size:12px}
  #zoom .modal-dialog .modal-content .modal-body .zoom-nav .next, #zoom .modal-dialog .modal-content .modal-body .zoom-nav .prev {background: var(--c-main);color: #fff;font-size: 24px;transform: translateY(-50%) scale(1.2);width: 30px;height: 30px;line-height: 30px;font-size: 14px !important;}
  
}

#quiz-modal {z-index: 100003;}
#quiz-modal + .modal-backdrop {/* z-index: 100002; */}
div.modal#quiz-modal .modal-dialog .modal-content .modal-body {background: var(--c-main);color: #fff;overflow: hidden;}
div.modal#quiz-modal .modal-dialog .modal-content .modal-body .modal-head h1 {color:#fff;align-self: center;}
div.modal#quiz-modal .modal-dialog .modal-content .modal-header .btn-close {background:#000}
div.modal#quiz-modal .modal-dialog .modal-content .modal-header .btn-close:hover {background:#fff; color:#000;box-shadow:0 0 10px rgb(0 0 0 / 20%)}
.modal-head {display: flex;margin: 0 0 30px 0;/* flex-wrap: wrap; */align-items: center;}
.modal-head h1 {margin: 0;font-weight: 700;}
.modal-head .circle-progress {margin: 0 14px 0 0;width: 60px;height: 60px;}
.modal-head .circle-progress svg {}
.modal-head .circle-progress svg .bg {stroke: rgb(255 255 255 / 20%);position:relative;}
.modal-head .circle-progress svg .bg.outer {z-index:9}
.modal-head .circle-progress svg .bg.inner {z-index:10}
.modal-head .circle-progress svg .progress {stroke: #fff;}
.modal-head .circle-progress svg .full-fill {stroke: #fff;}
.modal-head .actions {margin: 0 0 0 auto;position: relative;/* flex: 1; */}
.modal-head .actions .actions-trigger {/* display:none; */border: none;background: none;color: #fff;padding: 0;position:relative;border: none;}
.modal-head .actions .actions-trigger i {font-size: 30px;}
.modal-head .actions .actions-content {display: flex;gap: 10px;align-items: center;flex-wrap: wrap;justify-content: flex-end;height: 100%;display: none;position: absolute;right: -10px;top: 50px;min-width: 344px;text-align: right;background: #3d1e64;border-radius: 10px;padding: 10px 20px;z-index: 100;height: auto;}
.modal-head .actions .actions-content > div { width: 100%; }
.modal-head .actions .actions-content > div > span { display: block; font-size: 11px; opacity: 0.6; margin: 0 3px 6px 0px; }

.modal-head .actions .actions-trigger.opened +  .actions-content {display: flex;}
.modal-head .actions .actions-trigger.opened::before {content:"";width: 0;height: 0;border-style: solid;border-right: 10px solid transparent;border-left: 10px solid transparent;border-bottom: 10px solid #3d1e64;border-top: 0;position: absolute;bottom: -19px;left: 50%;transform: translateX(-50%);}
.modal-foot {border-top: solid 1px rgb(255 255 255 / 30%);padding: 30px 0 0 0;margin: 30px 0 0 0;position: relative;}


@media (max-width: 1200px) {
  .modal-xl, .modal-lg {max-width: 100%;margin: 30px;}
}

@media (max-width: 991px) {
  div.modal .modal-dialog {margin:30px} 
  
  .modal-head .actions .actions-trigger {display:block;}
  .modal-head .actions .actions-content {}

  div.modal#quiz-modal {background: var(--c-main);}
  div.modal#quiz-modal .modal-dialog {margin:0;min-height: 100%;/* display: flex; */align-items: flex-start;} 
  div.modal#quiz-modal .modal-dialog .modal-content {/* height: 100%; */min-height: 100%;} 
  div.modal#quiz-modal .modal-dialog .modal-content .modal-header {}
  div.modal#quiz-modal .modal-dialog .modal-content .modal-header .btn-close {position: absolute;right: 78px;top: 49px;background: none !important;font-size: 27px;color: #fff !important;}
  div.modal#quiz-modal .modal-dialog .modal-content .modal-header .btn-close i {font-weight:300;}
  div.modal#quiz-modal .modal-dialog .modal-content .modal-body {border-radius: 0;box-shadow: none;}
}

@media (max-width: 767px) {
  div.modal#quiz-modal .modal-dialog .modal-content .modal-header .btn-close { top: 30px; box-shadow: none !important; right: 59px; }
}



#question-modal-body .pill {margin: 20px 0; }
#addAttachmentModal {z-index: 100002;}
#addAttachmentModal .modal-body {overflow:hidden;padding: 0;}
#addAttachmentModal .modal-body iframe {width:100%;}

#default-modal {}
#default-modal .modal-dialog {max-width: 600px;}
#default-modal .modal-dialog .modal-content {}
#default-modal .modal-dialog .modal-content .close {right: 20px;top: 20px;}
#default-modal .modal-dialog .modal-content .modal-body {padding-top: 44px;}

#default-modal.video-modal {}
#default-modal.video-modal .modal-dialog { max-width: 1200px; }
#default-modal.video-modal .modal-dialog .modal-content {overflow: hidden;box-shadow: 0 0 55px rgba(0 0 0 / 30%);}
#default-modal.video-modal .modal-dialog .modal-content .modal-body { padding: 0; overflow: hidden; }
#default-modal.video-modal .modal-dialog .modal-content .modal-body video { vertical-align: top; }

.modal-slider-nav {}
.modal-slider-nav .next {right: 0;text-align: left;}
.modal-slider-nav .prev {left: 0;text-align: right;}
.modal-slider-nav .next, .modal-slider-nav .prev {width: 60px;height: 60px;line-height: 60px;position: fixed;top: 50%;transform: translateY(-50%);font-size: 40px;cursor: pointer;}
.modal-slider-nav .next::before, .modal-slider-nav .prev::before {font-family: "icomoon";}
.modal-slider-nav .next::before {content: "\f16c";}
.modal-slider-nav .prev::before {content: "\f142";}

.modal-backdrop {background: #f1f2f4 !important;opacity: 0.9 !important;z-index: 100001;}
.modal-backdrop + .modal-backdrop {z-index: 100002;}

#question-edit-modal {}
#question-edit-modal h2 {font-size: 28px; }
#question-edit-modal .question-actions {padding: 0 5px;display: flex;align-items: center;flex-wrap: wrap;}
#question-edit-modal .question-actions .btn {margin: 0 6px 0 0; }
#question-edit-modal .question-actions img {max-width: 100px;margin: 10px 0 0 auto;opacity: 0.55;}
#question-edit-modal .question-actions .clear {flex: 0 1 100%;}
#question-edit-modal .question-actions .btn.generate-question-gpt {margin: 0 0 0 auto;}



#multi-question-modal {}
#multi-question-modal .modal-dialog {}
#multi-question-modal .modal-dialog .modal-content {}
#multi-question-modal .modal-dialog .modal-content .modal-header {min-height: 30px; }
#multi-question-modal .modal-dialog .modal-content .modal-header .text {}
#multi-question-modal .modal-dialog .modal-content .modal-header .close {color: #000; background: none; right: 30px; top: 26px; width: auto; height: auto; font-size: 20px; line-height: 1; }
#multi-question-modal .modal-dialog .modal-content .modal-body {}

@media (max-width: 1200px) {
#card-learn-modal .modal-dialog {margin: 30px auto 0 auto;}
}
@media (max-width: 991px) {
  #card-learn-modal .modal-dialog {padding: 0;margin: 0;}
  #card-learn-modal .modal-dialog .modal-content .close {display:none}
  #card-learn-modal .modal-dialog .modal-content .modal-body {border-radius:0}
}
@media (max-width: 767px) {
  div.modal .modal-dialog .modal-content .modal-body {padding: 20px;}
  #card-learn-modal .modal-dialog {min-height: 100%;margin: 0px auto 0 auto;padding: 0 0 0 0;align-items: unset;}
  #card-learn-modal .modal-dialog .modal-content {border-radius: 0;min-height: 100%;}
  #card-learn-modal .modal-dialog .modal-content .close {position: absolute;top: 21px;right: 0;width: 20px;height: 30px;line-height: 30px;padding: 0px 0 0 0;}
  #card-learn-modal .modal-dialog .modal-content .modal-body {padding: 0;border-radius: 0;}
  #quiz-modal-tab-content .top .text .close {top: 0 !important; right: 0 !important; }

  div.modal .modal-dialog .modal-content #card-read-state { margin: 0; }
  div.modal .modal-dialog .modal-content #card-mark-unread { float: none; margin: 20px 0 0 0; font-size: 15px; }

  #multi-question-modal {}
  #multi-question-modal .modal-dialog {margin: 0; height: 100%; padding: 0; }
  #multi-question-modal .modal-dialog .modal-content {border-radius: 0; height: 100%; }
  #multi-question-modal .modal-dialog .modal-content .modal-header {}
  #multi-question-modal .modal-dialog .modal-content .modal-header .text {padding: 20px 20px 0; }
  #multi-question-modal .modal-dialog .modal-content .modal-header .close {color: #000; background: none; right: 20px; top: 20px; }
  #multi-question-modal .modal-dialog .modal-content .modal-body {}
}

.modal .card-nav {width: 0; right: 0; left: auto; }


div.modal.home-modal .modal-dialog .modal-content .close {background: none; color: #000; top: 8px; height: auto; width: auto; right: 18px; }
div.modal.home-modal .modal-dialog .modal-content .modal-body h3 {font-size: 21px; line-height: 1.3; font-weight: 600; }
div.modal.home-modal .modal-dialog .modal-content .modal-body p {}
div.modal.home-modal .modal-dialog .modal-content .modal-body ul {}


.modal-stats {font-size: 15px;}
.modal-stats *:last-child {margin-bottom:0} 
.modal-stats strong {font-weight:700;}
.modal-stats h3 { font-size: 18px; }
.modal-stats ul {padding: 0;list-style: none;}
.modal-stats ul li {border-bottom: solid 1px #eee;padding: 5px 0;}
.modal-stats ul li:last-child {border:none}



#addContentModal {}
#addContentModal .modal-dialog {margin: 0; height: 100%; width: 100%; max-width: 100%; }
#addContentModal .modal-dialog .modal-content {width: 100%; height: 100%; max-width: 100%; border-radius: 0; box-shadow: none; background: var(--c-main-lightest); }
#addContentModal .modal-dialog .modal-content .modal-body {display: flex;width: 100%;max-width: 2000px;margin: 0 auto;/* overflow: hidden; */padding: 40px 40px 40px 40px;max-height: 100%;height: 100%;}
#addContentModal .modal-dialog .modal-content .modal-body .single-card-view {grid-column: span 3;box-shadow: 0 0 20px -16px var(--c-main);height: 100%;max-height: 100%;flex: 0 1 920px;overflow: hidden;background: #fff;border-radius: 20px;padding: 40px;}
#addContentModal .modal-dialog .modal-content .modal-body .single-card-view .single-card {overflow-y: auto; overflow-x: hidden; padding: 0; height: 100%; max-height: 100%; }
#addContentModal .modal-dialog .modal-content .modal-body .single-card-view .single-card::-webkit-scrollbar {*-webkit-appearance: none; width: 7px; }
#addContentModal .modal-dialog .modal-content .modal-body .single-card-view .single-card::-webkit-scrollbar-thumb {border-radius: 4px; background-color: rgba(0, 0, 0, .3); -webkit-box-shadow: 0 0 1px rgba(255, 255, 255, .3); }
#addContentModal .modal-dialog .modal-content .modal-body .partner-form {grid-column: span 1;/* background: #fff; */border-radius: 20px;padding: 0 0 0 40px;position: relative;grid-column: span 2;flex: 1;margin: 30px 0 0 0;}
#addContentModal .modal-dialog .modal-content .modal-body .partner-form > img {max-width: 250px; }
#addContentModal .modal-dialog .modal-content .modal-body .partner-form h4 {position:relative;margin: 30px 0 10px 0;}
#addContentModal .modal-dialog .modal-content .modal-body .partner-form .partner-form-actions {position: absolute;right: 0;top: -6px;}
#addContentModal .modal-dialog .modal-content .modal-body .partner-form .partner-form-actions .add-new-partner-item {/* font-size: 0; */font-size: 15px;text-decoration: none;display: inline-flex;align-items: center;}
#addContentModal .modal-dialog .modal-content .modal-body .partner-form .partner-form-actions .add-new-partner-item::after {content: "\e910";font-family: icomoon;background: var(--c-main);width: 40px;height: 40px;display: inline-block;border-radius: 50%;vertical-align: top;color: #fff;text-align: center;line-height: 40px;font-size: 18px;margin: 0 0 0 9px;}


#webinar-modal {}
#webinar-modal .webinar-modal { display: flex; }
#webinar-modal .webinar-modal .webinar-modal-main { flex: 0 1 75%; }
#webinar-modal .webinar-modal .webinar-modal-main .video-js { margin: 0 0 30px 0; width: 100%; }
#webinar-modal .webinar-modal .webinar-modal-main .nav.nav-tabs { border: none; }
#webinar-modal .webinar-modal .webinar-modal-main .nav.nav-tabs .nav-item {}
#webinar-modal .webinar-modal .webinar-modal-main .nav.nav-tabs .nav-item .nav-link { border-radius: 10px; box-shadow: none; margin: 0; }
#webinar-modal .webinar-modal .webinar-modal-main .nav.nav-tabs .nav-item .nav-link.active { background: var(--c-main); color: #fff; margin: 0; }
#webinar-modal .webinar-modal .webinar-modal-sidebar { flex: 1; padding: 0 0 0 30px; }




.modal {}
.modal .modal-dialog {}
.modal .modal-dialog.modal-dialog-bottom { display: flex; align-items: flex-end; min-height: calc(100% - 3.5rem); }
.modal .modal-dialog .modal-content { border-radius: 0; background: none; border: none; }
.modal .modal-dialog .modal-content .modal-header {padding: 0;border: none;z-index: 10;}
.modal .modal-dialog .modal-content .modal-header .btn-close {width: 40px;height: 40px;margin: 0;position: absolute;right: -20px;top: -20px;padding: 0;background: var(--c-main);opacity: 1;border-radius: 50%;color: #fff;font-size: 18px;font-weight: 300;}
.modal .modal-dialog.modal-fullscreen .modal-content .modal-body { padding-top: 60px; }
.modal .modal-dialog.modal-fullscreen .modal-content .modal-header .btn-close { right: 10px; top: 10px; }
.modal .modal-dialog .modal-content .modal-header .btn-close:hover {background: var(--c-main-dark);}
.modal .modal-dialog .modal-content .modal-body {padding: 30px;background: #fff;border-radius: 20px;}


.modal#card .modal-dialog .modal-content .modal-body {padding:0}



